Commit be77e29b authored by David Zeuthen's avatar David Zeuthen

Drop ununsed policykit actions

parent 8f7727e1
...@@ -9,46 +9,6 @@ ...@@ -9,46 +9,6 @@
<vendor>The PolicyKit Project</vendor> <vendor>The PolicyKit Project</vendor>
<vendor_url>http://hal.freedesktop.org/docs/PolicyKit/</vendor_url> <vendor_url>http://hal.freedesktop.org/docs/PolicyKit/</vendor_url>
<action id="org.freedesktop.policykit.read">
<_description>Read authorizations of other users</_description>
<_message>Authentication is required to read authorizations of other users</_message>
<defaults>
<allow_any>no</allow_any>
<allow_inactive>no</allow_inactive>
<allow_active>auth_admin_keep</allow_active>
</defaults>
</action>
<action id="org.freedesktop.policykit.revoke">
<_description>Revoke authorizations from other users</_description>
<_message>Authentication is required to revoke authorizations other users</_message>
<defaults>
<allow_any>no</allow_any>
<allow_inactive>no</allow_inactive>
<allow_active>auth_admin_keep</allow_active>
</defaults>
</action>
<action id="org.freedesktop.policykit.grant">
<_description>Grant authorizations to other users</_description>
<_message>Authentication is required to grant authorizations to other users</_message>
<defaults>
<allow_any>no</allow_any>
<allow_inactive>no</allow_inactive>
<allow_active>auth_admin_keep</allow_active>
</defaults>
</action>
<action id="org.freedesktop.policykit.modify-defaults">
<_description>Modify defaults for implicit authorizations</_description>
<_message>Authentication is required to modify the defaults for implicit authorizations</_message>
<defaults>
<allow_any>no</allow_any>
<allow_inactive>no</allow_inactive>
<allow_active>auth_admin_keep</allow_active>
</defaults>
</action>
<action id="org.freedesktop.policykit.exec"> <action id="org.freedesktop.policykit.exec">
<_description>Run programs as another user</_description> <_description>Run programs as another user</_description>
<_message>Authentication is required to run a program as another user</_message> <_message>Authentication is required to run a program as another user</_message>
......
...@@ -5,11 +5,6 @@ Needed for 1.0 ...@@ -5,11 +5,6 @@ Needed for 1.0
- check that all public but unstable API is properly guard off with - check that all public but unstable API is properly guard off with
I_KNOW_THIS_API_IS_SUBJECT_TO_CHANGE_ETC I_KNOW_THIS_API_IS_SUBJECT_TO_CHANGE_ETC
- rethink actions shipped with PolicyKit; we probably just want something
very simple that only applies to the local authority backend
- some mechanisms don't run as root - how should they convey that
they are authorized to check authorizations?
- man page review / section review - man page review / section review
- review/restrict symbol visibility in shared libraries - review/restrict symbol visibility in shared libraries
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment